{% load i18n %}
{% load data_filters %}

  <span class="nav">
    <li>
      <a href="#" class="easyui-linkbutton" iconCls="icon-sum">{%trans "Operation for selected" %}&nbsp;</a>
      <ul style="width:210px;">
        {% for operation in model|get_operations_list %}
        <li>
          <a href="#" onclick="{{ operation|get_operation_url }}()">{{ operation|get_operation_name }}</a>
        </li>

        {# delete the company's JS code #}
        {% if operation|get_operation_url|safe == 'company_delete' %}
        <script type="text/javascript">
            function company_delete(){
              var ss = [];
              var is_default = false; //是否选择default company标识符
              var rows = $('#dg').datagrid('getSelections');
              var re = /<a[^>]*href=['"]([^"]*)['"][^>]*>(.*?)<\/a>/; //正则表达式
              for(var i = 0; i < rows.length; i++){
                var row = rows[i];
                var id = re.exec(row.id)[2]
                if(id == 1){
                  is_default = true;
                }
                ss.push(id);
              }
              if(ss.length <= 0){
                alert('You don\'t select');
              }
              else{
                if(is_default){
                  alert('You can not delete the Default Company!' );
                }
                else{
                  // alert(ss);
                  $.ajax({
                    url: "{% url operation|get_operation_url|safe %}",
                    data: 'company_ids=' + ss,
                    type: 'POST',
                    success: function(data,status){
                      if(data[0] == '1')
                      {
                        alert(data.substring(1) + 'delete error!\nThis data maybe used for Area,Department,User. \nPlease edit them and try again.');
                      }
                      window.location.href = "{% url 'company' %}"; //跳转页面
                    }
                  });
                }
              }
            }
        </script>
        {% endif %}

        {# delete the area's JS code #}
        {% if operation|get_operation_url|safe == 'area_delete' %}
        <script type="text/javascript">
            function area_delete(){
              var ss = [];
              var is_default = false; //是否选择default area标识符
              var rows = $('#dg').datagrid('getSelections');
              var re = /<a[^>]*href=['"]([^"]*)['"][^>]*>(.*?)<\/a>/; //正则表达式
              for(var i = 0; i < rows.length; i++){
                var row = rows[i];
                var id = re.exec(row.id)[2]
                if(id == 1){
                  is_default = true;
                }
                ss.push(id);
              }
              if(ss.length <= 0){
                alert('You don\'t select');
              }
              else{
                if(is_default){
                  alert('You can not delete the Default Area!' );
                }
                else{
                  // alert(ss);
                  $.ajax({
                    url: "{% url operation|get_operation_url|safe %}",
                    data: 'area_ids=' + ss,
                    type: 'POST',
                    success: function(data,status){
                      if(data[0] == '1')
                      {
                        alert(data.substring(1) + 'delete error!\nThis data maybe used for Device,Employee,Workcode. \nPlease edit them and try again.');
                      }
                      window.location.href = "{% url 'area' %}"; //跳转页面
                    }
                  });
                }
              }
            }
        </script>
        {% endif %}

        {# delete the department's JS code #}
        {% if operation|get_operation_url|safe == 'department_delete' %}
        <script type="text/javascript">
            function department_delete(){
              var ss = [];
              var is_default = false; //是否选择default department标识符
              var rows = $('#dg').datagrid('getSelections');
              var re = /<a[^>]*href=['"]([^"]*)['"][^>]*>(.*?)<\/a>/; //正则表达式
              for(var i = 0; i < rows.length; i++){
                var row = rows[i];
                var id = re.exec(row.id)[2]
                if(id == 1){
                  is_default = true;
                }
                ss.push(id);
              }
              if(ss.length <= 0){
                alert('You don\'t select');
              }
              else{
                if(is_default){
                  alert('You can not delete the Default Department!' );
                }
                else{
                  $.ajax({
                    url: "{% url operation|get_operation_url|safe %}",
                    data: 'department_ids=' + ss,
                    type: 'POST',
                    success: function(data,status){
                      if(data[0] == '1')
                      {
                        alert(data.substring(1) + 'delete error!\nThis data maybe used for Employee,User. \nPlease edit them and try again.');
                      }
                      window.location.href = "{% url 'department' %}"; //跳转页面
                    }
                  });
                }
              }
            }
        </script>
        {% endif %}

        {# delete the employee's JS code #}
        {% if operation|get_operation_url|safe == 'employee_delete' %}
        <script type="text/javascript">
        function employee_delete(){
          var ss = [];
          var rows = $('#dg').datagrid('getSelections');
          var re = /<a[^>]*href=['"]([^"]*)['"][^>]*>(.*?)<\/a>/; //正则表达式
          for(var i = 0; i < rows.length; i++){
            var row = rows[i];
            var id = re.exec(row.id)[2]
            ss.push(id);
          }
          if(ss.length <= 0){
              alert('You don\'t select');
          }
          else{
            $.ajax({
              url: "{% url 'employee_delete' %}",
              data: 'employee_ids=' + ss,
              type: 'POST',
              success: function(){
                window.location.href = "{% url 'employee' %}"; //跳转页面
              }
            });
          }
        }
        </script>
        {% endif %}

        {# delete the transaction's JS code #}
        {% if operation|get_operation_url|safe == 'transaction_delete' %}
        <script type="text/javascript">
        function transaction_delete(){
          var ss = [];
          var rows = $('#dg').datagrid('getSelections');
          for(var i = 0; i < rows.length; i++){
            var row = rows[i];
            var id = row.id
            ss.push(id);
          }
          if(ss.length <= 0){
              alert('You don\'t select');
          }
          else{
            $.ajax({
              url: "{% url 'transaction_delete' %}",
              data: 'transaction_ids=' + ss,
              type: 'POST',
              success: function(){
                window.location.href = "{% url 'transaction' %}"; //跳转页面
              }
            });
          }
        }
        </script>
        {% endif %}

        {# delete the workcode's JS code #}
        {% if operation|get_operation_url|safe == 'workcode_delete' %}
        <script type="text/javascript">
        function workcode_delete(){
          var ss = [];
          var rows = $('#dg').datagrid('getSelections');
          var re = /<a[^>]*href=['"]([^"]*)['"][^>]*>(.*?)<\/a>/; //正则表达式
          for(var i = 0; i < rows.length; i++){
            var row = rows[i];
            var id = re.exec(row.id)[2]
            ss.push(id);
          }
          if(ss.length <= 0){
              alert('You don\'t select');
          }
          else{
            $.ajax({
              url: "{% url 'workcode_delete' %}",
              data: 'workcode_ids=' + ss,
              type: 'POST',
              success: function(){
                window.location.href = "{% url 'workcode' %}"; //跳转页面
              }
            });
          }
        }
        </script>
        {% endif %}

        {# delete the iclock's JS code #}
        {% if operation|get_operation_url|safe == 'iclock_delete' %}
        <script type="text/javascript">
        function iclock_delete(){
          var ss = [];
          var rows = $('#dg').datagrid('getSelections');
          var re = /<a[^>]*href=['"]([^"]*)['"][^>]*>(.*?)<\/a>/; //正则表达式
          for(var i = 0; i < rows.length; i++){
            var row = rows[i];
            var sn = re.exec(row.sn)[2]
            ss.push(sn);
          }
          if(ss.length <= 0){
              alert('You don\'t select');
          }
          else{
            $.ajax({
              url: "{% url 'iclock_delete' %}",
              data: 'iclock_sns=' + ss,
              type: 'POST',
              success: function(){
                window.location.href = "{% url 'iclock' %}"; //跳转页面
              }
            });
          }
        }
        </script>
        {% endif %}

        {# reboot the iclock's JS code #}
        {% if operation|get_operation_url|safe == 'iclock_reboot' %}
        <script type="text/javascript">
        function iclock_reboot(){
          var ss = [];
          var rows = $('#dg').datagrid('getSelections');
          var re = /<a[^>]*href=['"]([^"]*)['"][^>]*>(.*?)<\/a>/; //正则表达式
          for(var i = 0; i < rows.length; i++){
            var row = rows[i];
            var sn = re.exec(row.sn)[2]
            ss.push(sn);
          }
          if(ss.length <= 0){
              alert('You don\'t select');
          }
          else{
            $.ajax({
              url: "{% url 'iclock_reboot' %}",
              data: 'iclock_sns=' + ss,
              type: 'GET',
              success: function(){
                window.location.href = "{% url 'iclock' %}"; //跳转页面
              }
            });
          }
        }
        </script>
        {% endif %}

        {# refresh info of the iclock's JS code #}
        {% if operation|get_operation_url|safe == 'iclock_refresh_info' %}
        <script type="text/javascript">
        function iclock_refresh_info(){
          var ss = [];
          var rows = $('#dg').datagrid('getSelections');
          var re = /<a[^>]*href=['"]([^"]*)['"][^>]*>(.*?)<\/a>/; //正则表达式
          for(var i = 0; i < rows.length; i++){
            var row = rows[i];
            var sn = re.exec(row.sn)[2]
            ss.push(sn);
          }
          if(ss.length <= 0){
              alert('You don\'t select');
          }
          else{
            $.ajax({
              url: "{% url 'refresh_info' %}",
              data: 'iclock_sns=' + ss,
              type: 'GET',
              success: function(){
                window.location.href = "{% url 'iclock' %}"; //跳转页面
              }
            });
          }
        }
        </script>
        {% endif %}

        {# reload all data of the iclock's JS code #}
        {% if operation|get_operation_url|safe == 'iclock_reload_all_data' %}
        <script type="text/javascript">
        function iclock_reload_all_data(){
          var ss = [];
          var rows = $('#dg').datagrid('getSelections');
          var re = /<a[^>]*href=['"]([^"]*)['"][^>]*>(.*?)<\/a>/; //正则表达式
          for(var i = 0; i < rows.length; i++){
            var row = rows[i];
            var sn = re.exec(row.sn)[2]
            ss.push(sn);
          }
          if(ss.length <= 0){
              alert('You don\'t select');
          }
          else{
            $.ajax({
              url: "{% url 'reload_all_data' %}",
              data: 'iclock_sns=' + ss,
              type: 'POST',
              success: function(){
                window.location.href = "{% url 'iclock' %}"; //跳转页面
              }
            });
          }
        }
        </script>
        {% endif %}

        {# relaod user data of the iclock's JS code #}
        {% if operation|get_operation_url|safe == 'iclock_reload_emp_data' %}
        <script type="text/javascript">
        function iclock_reload_emp_data(){
          var ss = [];
          var rows = $('#dg').datagrid('getSelections');
          var re = /<a[^>]*href=['"]([^"]*)['"][^>]*>(.*?)<\/a>/; //正则表达式
          for(var i = 0; i < rows.length; i++){
            var row = rows[i];
            var sn = re.exec(row.sn)[2]
            ss.push(sn);
          }
          if(ss.length <= 0){
              alert('You don\'t select');
          }
          else{
            $.ajax({
              url: "{% url 'reload_emp_data' %}",
              data: 'iclock_sns=' + ss,
              type: 'POST',
              success: function(){
                window.location.href = "{% url 'iclock' %}"; //跳转页面
              }
            });
          }
        }
        </script>
        {% endif %}

        {# relaod tansactions data of the iclock's JS code #}
        {% if operation|get_operation_url|safe == 'iclock_reload_trans_data' %}
        <script type="text/javascript">
        function iclock_reload_trans_data(){
          var ss = [];
          var rows = $('#dg').datagrid('getSelections');
          var re = /<a[^>]*href=['"]([^"]*)['"][^>]*>(.*?)<\/a>/; //正则表达式
          for(var i = 0; i < rows.length; i++){
            var row = rows[i];
            var sn = re.exec(row.sn)[2]
            ss.push(sn);
          }
          if(ss.length <= 0){
              alert('You don\'t select');
          }
          else{
            $.ajax({
              url: "{% url 'reload_trans_data' %}",
              data: 'iclock_sns=' + ss,
              type: 'POST',
              success: function(){
                window.location.href = "{% url 'iclock' %}"; //跳转页面
              }
            });
          }
        }
        </script>
        {% endif %}

        {# reload new data of the iclock's JS code #}
        {% if operation|get_operation_url|safe == 'iclock_reload_new_data' %}
        <script type="text/javascript">
        function iclock_reload_new_data(){
          var ss = [];
          var rows = $('#dg').datagrid('getSelections');
          var re = /<a[^>]*href=['"]([^"]*)['"][^>]*>(.*?)<\/a>/; //正则表达式
          for(var i = 0; i < rows.length; i++){
            var row = rows[i];
            var sn = re.exec(row.sn)[2]
            ss.push(sn);
          }
          if(ss.length <= 0){
              alert('You don\'t select');
          }
          else{
            $.ajax({
              url: "{% url 'reload_new_data' %}",
              data: 'iclock_sns=' + ss,
              type: 'POST',
              success: function(){
                window.location.href = "{% url 'iclock' %}"; //跳转页面
              }
            });
          }
        }
        </script>
        {% endif %}

        {# clear all data of the iclock's JS code #}
        {% if operation|get_operation_url|safe == 'iclock_clear_all_data' %}
        <script type="text/javascript">
        function iclock_clear_all_data(){
          var ss = [];
          var rows = $('#dg').datagrid('getSelections');
          var re = /<a[^>]*href=['"]([^"]*)['"][^>]*>(.*?)<\/a>/; //正则表达式
          for(var i = 0; i < rows.length; i++){
            var row = rows[i];
            var sn = re.exec(row.sn)[2]
            ss.push(sn);
          }
          if(ss.length <= 0){
              alert('You don\'t select');
          }
          else{
            $.ajax({
              url: "{% url 'clear_all_data' %}",
              data: 'iclock_sns=' + ss,
              type: 'POST',
              success: function(){
                window.location.href = "{% url 'iclock' %}"; //跳转页面
              }
            });
          }
        }
        </script>
        {% endif %}

        {# clear transactions data of the iclock's JS code #}
        {% if operation|get_operation_url|safe == 'iclock_clear_trans_data' %}
        <script type="text/javascript">
        function iclock_clear_trans_data(){
          var ss = [];
          var rows = $('#dg').datagrid('getSelections');
          var re = /<a[^>]*href=['"]([^"]*)['"][^>]*>(.*?)<\/a>/; //正则表达式
          for(var i = 0; i < rows.length; i++){
            var row = rows[i];
            var sn = re.exec(row.sn)[2]
            ss.push(sn);
          }
          if(ss.length <= 0){
              alert('You don\'t select');
          }
          else{
            $.ajax({
              url: "{% url 'clear_trans_data' %}",
              data: 'iclock_sns=' + ss,
              type: 'POST',
              success: function(){
                window.location.href = "{% url 'iclock' %}"; //跳转页面
              }
            });
          }
        }
        </script>
        {% endif %}

        {# clear photo data of the iclock's JS code #}
        {% if operation|get_operation_url|safe == 'iclock_clear_photo_data' %}
        <script type="text/javascript">
        function iclock_clear_photo_data(){
          var ss = [];
          var rows = $('#dg').datagrid('getSelections');
          var re = /<a[^>]*href=['"]([^"]*)['"][^>]*>(.*?)<\/a>/; //正则表达式
          for(var i = 0; i < rows.length; i++){
            var row = rows[i];
            var sn = re.exec(row.sn)[2]
            ss.push(sn);
          }
          if(ss.length <= 0){
              alert('You don\'t select');
          }
          else{
            $.ajax({
              url: "{% url 'clear_photo_data' %}",
              data: 'iclock_sns=' + ss,
              type: 'POST',
              success: function(){
                window.location.href = "{% url 'iclock' %}"; //跳转页面
              }
            });
          }
        }
        </script>
        {% endif %}

        {# sync employee data from sofeware to the iclock's JS code #}
        {% if operation|get_operation_url|safe == 'iclock_sync_emp_data' %}
        <script type="text/javascript">
        function iclock_sync_emp_data(){
          var ss = [];
          var rows = $('#dg').datagrid('getSelections');
          var re = /<a[^>]*href=['"]([^"]*)['"][^>]*>(.*?)<\/a>/; //正则表达式
          for(var i = 0; i < rows.length; i++){
            var row = rows[i];
            var sn = re.exec(row.sn)[2]
            ss.push(sn);
          }
          if(ss.length <= 0){
              alert('You don\'t select');
          }
          else{
            $.ajax({
              url: "{% url 'sync_emp_data' %}",
              data: 'iclock_sns=' + ss,
              type: 'POST',
              success: function(){
                window.location.href = "{% url 'iclock' %}"; //跳转页面
              }
            });
          }
        }
        </script>
        {% endif %}

        {# sync workcode data from sofeware to the iclock's JS code #}
        {% if operation|get_operation_url|safe == 'iclock_sync_workcode' %}
        <script type="text/javascript">
        function iclock_sync_workcode(){
          var ss = [];
          var rows = $('#dg').datagrid('getSelections');
          var re = /<a[^>]*href=['"]([^"]*)['"][^>]*>(.*?)<\/a>/; //正则表达式
          for(var i = 0; i < rows.length; i++){
            var row = rows[i];
            var sn = re.exec(row.sn)[2]
            ss.push(sn);
          }
          if(ss.length <= 0){
              alert('You don\'t select');
          }
          else{
            $.ajax({
              url: "{% url 'sync_workcode' %}",
              data: 'iclock_sns=' + ss,
              type: 'POST',
              success: function(){
                window.location.href = "{% url 'iclock' %}"; //跳转页面
              }
            });
          }
        }
        </script>
        {% endif %}

        {# change iclock area's JS code #}
        {% if operation|get_operation_url|safe == 'iclock_change_area' %}
        <script type="text/javascript">
        function iclock_change_area(){
          var ss = [];
          var rows = $('#dg').datagrid('getSelections');
          var re = /<a[^>]*href=['"]([^"]*)['"][^>]*>(.*?)<\/a>/; //正则表达式
          for(var i = 0; i < rows.length; i++){
            var row = rows[i];
            var sn = re.exec(row.sn)[2]
            ss.push(sn);
          }
          if(ss.length <= 0){
              alert('You don\'t select');
          }
          else{
                var height = 200
                var width = 300
                var title = "Change Area"
                pop_windous(width, height, title)
                var addItem = $('#areas_box').clone(true).attr('id', 'areas_box').css('display','block')
                $("#pop_window_content").html(addItem);
          }
        }
        </script>
        {% endif %}

        {% endfor %}
      </ul>
    </li>
  </span>


